## r-cran-bigmemory 4.5.36

=== DESCRIPTION ===
Package: bigmemory
Version: 4.5.36
Title: Manage Massive Matrices with Shared Memory and Memory-Mapped
        Files
Author: Michael J. Kane <kaneplusplus@gmail.com>, John W. Emerson
    <jayemerson@gmail.com>, Peter Haverty <haverty.peter@gene.com>, and Charles
    Determan Jr. <cdetermanjr@gmail.com>
Maintainer: Michael J. Kane <bigmemoryauthors@gmail.com>
Contact: Mike, Jay, and Charles <bigmemoryauthors@gmail.com>
Depends: R (>= 3.2.0),
Imports: methods, Rcpp, utils, bigmemory.sri
Enhances: biganalytics, bigtabulate
LinkingTo: BH, Rcpp
Description: Create, store, access, and manipulate massive matrices.
    Matrices are allocated to shared memory and may use memory-mapped
    files.  Packages 'biganalytics', 'bigtabulate', 'synchronicity', and
    'bigalgebra' provide advanced functionality.
License: LGPL-3 | Apache License 2.0
URL: https://github.com/kaneplusplus/bigmemory
BugReports: https://github.com/kaneplusplus/bigmemory/issues
LazyLoad: yes
Biarch: yes
Suggests: testthat
RoxygenNote: 7.0.2
NeedsCompilation: yes
Packaged: 2019-12-23 00:36:34 UTC; mike
Repository: CRAN
Date/Publication: 2019-12-23 17:59:40 UTC

## r-cran-bigmemory 4.5.33

=== debian/changelog ===
r-cran-bigmemory (4.5.33-2) unstable; urgency=medium

  * Team upload.

  [ Dylan Aïssi ]
  * Standards-Version: 4.1.4 (no changes needed)
  * Update Maintainer to Debian R team

  [ Andreas Tille ]
  * Drop patches and use r-cran-bh metapackage instead

 -- Andreas Tille <tille@debian.org>  Thu, 14 Jun 2018 15:42:22 +0200

r-cran-bigmemory (4.5.33-1) unstable; urgency=medium

  * Initial release (Closes: #892039)

 -- Dylan Aïssi <bob.dybian@gmail.com>  Sun, 04 Mar 2018 14:37:33 +0100

=== debian/control ===
Source: r-cran-bigmemory
Maintainer: Debian R Packages Maintainers <r-pkg-team@alioth-lists.debian.net>
Uploaders: Dylan Aïssi <bob.dybian@gmail.com>
Section: gnu-r
Testsuite: autopkgtest-pkg-r
Priority: optional
Build-Depends: debhelper (>= 11~),
               dh-r,
               r-base-dev,
               r-cran-rcpp,
               r-cran-bigmemory.sri,
               r-cran-bh
Standards-Version: 4.1.4
Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-bigmemory
Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-bigmemory.git
Homepage: https://cran.r-project.org/package=bigmemory

Package: r-cran-bigmemory
Architecture: any
Depends: ${R:Depends},
         ${shlibs:Depends},
         ${misc:Depends}
Recommends: ${R:Recommends}
Suggests: ${R:Suggests}
Description: Manage Massive Matrices with Shared Memory and Memory-Mapped Files
 Create, store, access, and manipulate massive matrices.
 Matrices are allocated to shared memory and may use memory-mapped
 files.  Packages 'biganalytics', 'bigtabulate', 'synchronicity', and
 'bigalgebra' provide advanced functionality.

## r-cran-bigmemory 4.5.36

=== debian/changelog ===
r-cran-bigmemory (4.5.36-1) unstable; urgency=medium

  * New upstream version
  * debhelper-compat 12
  * Standards-Version: 4.4.1

 -- Dylan Aïssi <daissi@debian.org>  Mon, 30 Dec 2019 08:56:17 +0100

=== debian/control ===
--- 
+++ 
@@ -4,13 +4,13 @@
 Section: gnu-r
 Testsuite: autopkgtest-pkg-r
 Priority: optional
-Build-Depends: debhelper (>= 11~),
+Build-Depends: debhelper-compat (= 12),
                dh-r,
                r-base-dev,
                r-cran-rcpp,
                r-cran-bigmemory.sri,
                r-cran-bh
-Standards-Version: 4.1.4
+Standards-Version: 4.4.1
 Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-bigmemory
 Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-bigmemory.git
 Homepage: https://cran.r-project.org/package=bigmemory

## r-cran-bigmemory 4.6.1

=== DESCRIPTION ===
Package: bigmemory
Version: 4.6.1
Title: Manage Massive Matrices with Shared Memory and Memory-Mapped
        Files
Authors@R: 
  c(person(given = "Michael J.",
          family = "Kane",
          role = c("aut", "cre"),
          email = "bigmemoryauthors@gmail.com",
          comment = c(ORCID = "0000-0003-1899-6662")),
    person(given = "John W.",
          family = "Emerson",
          role = "aut",
          email = "jayemerson@gmail.com"),
    person(given = "Peter",
          family = "Haverty",
          role = "aut",
          email = "haverty.peter@gene.com"),
    person(given = "Charles",
          family = "Determan",
          role = "aut",
          email = "cdetermanjr@gmail.com")
  )
Depends: R (>= 3.2.0),
Imports: bigmemory.sri, methods, utils, Rcpp, uuid (>= 1.0-2)
Enhances: biganalytics, bigtabulate
LinkingTo: BH, uuid (>= 1.0-2), Rcpp
Encoding: UTF-8
Description: Create, store, access, and manipulate massive matrices.
    Matrices are allocated to shared memory and may use memory-mapped
    files.  Packages 'biganalytics', 'bigtabulate', 'synchronicity', and
    'bigalgebra' provide advanced functionality.
License: LGPL-3 | Apache License 2.0
URL: https://github.com/kaneplusplus/bigmemory
BugReports: https://github.com/kaneplusplus/bigmemory/issues
LazyLoad: yes
Suggests: testthat, remotes
RoxygenNote: 7.1.2
NeedsCompilation: yes
Packaged: 2022-05-02 14:48:46 UTC; mike
Author: Michael J. Kane [aut, cre] (<https://orcid.org/0000-0003-1899-6662>),
  John W. Emerson [aut],
  Peter Haverty [aut],
  Charles Determan [aut]
Maintainer: Michael J. Kane <bigmemoryauthors@gmail.com>
Repository: CRAN
Date/Publication: 2022-05-02 18:02:03 UTC

=== debian/changelog ===
r-cran-bigmemory (4.6.1-1) unstable; urgency=medium

  * Team upload.

  [ Debian Janitor ]
  * Set upstream metadata fields: Bug-Database, Bug-Submit, Repository,
    Repository-Browse.
  * Remove obsolete fields Contact, Name from debian/upstream/metadata (already
    present in machine-readable debian/copyright).

  [ Andreas Tille ]
  * Standards-Version: 4.6.1 (routine-update)
  * debhelper-compat 13 (routine-update)
  * Reorder sequence of d/control fields by cme (routine-update)
  * Add salsa-ci file (routine-update)
  * Rules-Requires-Root: no (routine-update)

 -- Andreas Tille <tille@debian.org>  Tue, 17 May 2022 10:52:21 +0200

=== debian/control ===
--- 
+++ 
@@ -1,19 +1,23 @@
 Source: r-cran-bigmemory
+Section: gnu-r
+Priority: optional
 Maintainer: Debian R Packages Maintainers <r-pkg-team@alioth-lists.debian.net>
-Uploaders: Dylan Aïssi <bob.dybian@gmail.com>
-Section: gnu-r
-Testsuite: autopkgtest-pkg-r
-Priority: optional
-Build-Depends: debhelper-compat (= 12),
-               dh-r,
-               r-base-dev,
-               r-cran-rcpp,
-               r-cran-bigmemory.sri,
-               r-cran-bh
-Standards-Version: 4.4.1
+Uploaders: Dylan Aïssi <daissi@debian.org>
 Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-bigmemory
 Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-bigmemory.git
 Homepage: https://cran.r-project.org/package=bigmemory
+Rules-Requires-Root: no
+Standards-Version: 4.6.1
+Build-Depends: debhelper-compat (= 13),
+               dh-r,
+               r-base-dev,
+               r-cran-bigmemory.sri,
+               r-cran-rcpp,
+               r-cran-uuid (>= 1.0-2),
+               r-cran-bh,
+# <dh-update-R>do not delete this</dh-update-R>
+               uuid-dev
+Testsuite: autopkgtest-pkg-r
 
 Package: r-cran-bigmemory
 Architecture: any

=== debian/watch ===
version=4
https://cran.r-project.org/src/contrib/bigmemory_([-\d.]*)\.tar\.gz

## r-cran-bigmemory 4.6.4

=== DESCRIPTION ===
--- 
+++ 
@@ -1,9 +1,9 @@
 Package: bigmemory
-Version: 4.6.1
+Version: 4.6.4
 Title: Manage Massive Matrices with Shared Memory and Memory-Mapped
         Files
-Authors@R: 
-  c(person(given = "Michael J.",
+Authors@R: c(
+    person(given = "Michael J.",
           family = "Kane",
           role = c("aut", "cre"),
           email = "bigmemoryauthors@gmail.com",
@@ -35,13 +35,13 @@
 BugReports: https://github.com/kaneplusplus/bigmemory/issues
 LazyLoad: yes
 Suggests: testthat, remotes
-RoxygenNote: 7.1.2
+RoxygenNote: 7.2.3
 NeedsCompilation: yes
-Packaged: 2022-05-02 14:48:46 UTC; mike
+Packaged: 2024-01-09 17:18:13 UTC; mike
 Author: Michael J. Kane [aut, cre] (<https://orcid.org/0000-0003-1899-6662>),
   John W. Emerson [aut],
   Peter Haverty [aut],
   Charles Determan [aut]
 Maintainer: Michael J. Kane <bigmemoryauthors@gmail.com>
 Repository: CRAN
-Date/Publication: 2022-05-02 18:02:03 UTC
+Date/Publication: 2024-01-09 20:20:08 UTC

=== debian/changelog ===
r-cran-bigmemory (4.6.4-1ubuntu1) plucky; urgency=medium

  * Adjust the expected output of the "ensure char matrix behaves like signed
    byte" for !amd64 architectures.

 -- Simon Quigley <tsimonq2@ubuntu.com>  Sat, 08 Mar 2025 11:45:31 -0600

r-cran-bigmemory (4.6.4-1) unstable; urgency=medium

  * Team upload.
  * New upstream version
  * Standards-Version: 4.6.2 (routine-update)
  * dh-update-R to update Build-Depends (routine-update)
  * Add autopkgtest

 -- Andreas Tille <tille@debian.org>  Wed, 17 Jan 2024 14:04:25 +0100

=== debian/control ===
--- 
+++ 
@@ -1,13 +1,14 @@
 Source: r-cran-bigmemory
 Section: gnu-r
 Priority: optional
-Maintainer: Debian R Packages Maintainers <r-pkg-team@alioth-lists.debian.net>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian R Packages Maintainers <r-pkg-team@alioth-lists.debian.net>
 Uploaders: Dylan Aïssi <daissi@debian.org>
 Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-bigmemory
 Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-bigmemory.git
 Homepage: https://cran.r-project.org/package=bigmemory
+Standards-Version: 4.6.2
 Rules-Requires-Root: no
-Standards-Version: 4.6.1
 Build-Depends: debhelper-compat (= 13),
                dh-r,
                r-base-dev,
@@ -15,7 +16,6 @@
                r-cran-rcpp,
                r-cran-uuid (>= 1.0-2),
                r-cran-bh,
-# <dh-update-R>do not delete this</dh-update-R>
                uuid-dev
 Testsuite: autopkgtest-pkg-r

=== debian/tests/control ===
Tests: run-unit-test
Depends: @,
         r-cran-testthat,
        r-cran-remotes
Restrictions: allow-stderr
